<link href="<?php echo WP_PLUGIN_URL; ?>/calendar-archives/calendar-archives-1.css" rel="stylesheet" type="text/css" />
View calendar for year
<?php
// Get current page's URL
$pageUrl = get_page_link(get_the_ID());

// Loop through list of years to display link for each year
foreach ($years as $yearDetails)
{
?>
<a href="<?php echo add_query_arg(array('calendar_year' => $yearDetails->year), $pageUrl); ?>"><?php echo $yearDetails->year; ?></a>
<?php
}

// Setting flag 'hide no posts months'
$hideNoPostsMonths = (bool)$options['hide_no_posts_months'];

// Setting flag 'reverse months'
$reverseMonths = (bool)$options['reverse_months'];

// Loop through months to display calendar with posts
for ($month = ($reverseMonths ? 12 : 1); ($reverseMonths ? 0 < $month : 12 >= $month); ($reverseMonths ? $month-- : $month++))
{
    // If 'hide no posts months' setting flag is ON and there are no posts for current month in current year then move to next month
    if ($hideNoPostsMonths && !isset($postsPerDay[$month]))
    {
        continue;
    }

    // If current year is running year and current month is running month then handle situation
    if ($year == date('Y') && $month > date('m'))
    {
        // If 'reverse months' setting is ON then continue the loop
        if ($reverseMonths)
        {
            continue;
        }

        // If 'reverse months' setting is OFF then don't need to proceed further
        break;
    }

    // Time for first day of current month/year
    $timeForFirstDayOfMonth = mktime(0, 0, 0, $month, 1, $year);
?>
<table cellspacing="1" class="calendar">
    <caption><?php echo date('F', $timeForFirstDayOfMonth); ?> <?php echo $year; ?></caption>
    <thead>
        <tr>
            <th>Sunday</th>
            <th>Monday</th>
            <th>Tuesday</th>
            <th>Wednesday</th>
            <th>Thursday</th>
            <th>Friday</th>
            <th>Saturday</th>
        </tr>
    </thead>
    <tbody>
        <tr>
<?php
    // Total number of days in current month/year
    $totalDaysInMonth = date('t', $timeForFirstDayOfMonth);

    // Weekday for first day of current month/year
    $weekdayForFirstDayOfMonth = date('w', $timeForFirstDayOfMonth);

    // Loop through weekdays to output empty TDs if first day of current month/year doesn't start on Sunday
    for ($i = 7; $i > (7 - $weekdayForFirstDayOfMonth); $i--)
    {
?>
            <td>&nbsp;</td>
<?php
    }

    // Loop for total number of days in current month/year to output calendar with posts
    for ($day = 1; $day <= $totalDaysInMonth; $day++)
    {
        // If new week started then close current table row and start new one
        if (1 < $day && 0 == date('w', mktime(0, 0, 0, $month, $day, $year)))
        {
?>
        </tr>
        <tr>
<?php
        }

        // Initialize variable used to store background image
        $backgroundImage = false;

        // If background image set for current day in current month/year then use it
        if (isset($backgroundImages[$month][$day]) && false !== $backgroundImages[$month][$day])
        {
            $backgroundImage = $backgroundImages[$month][$day];
        }
?>
            <td<?php echo ($backgroundImage ? ' style="background-image: url(' . $this->getImageUrl($backgroundImage, 140) . ');"' : ''); ?>>
                <div<?php echo ($backgroundImage ? ' class="semi-transparent"' : ''); ?>><?php echo $day; ?></div>
<?php
        // If any post(s) for current day in current month/year then display it/them
        if (isset($postsPerDay[$month][$day]))
        {
?>
                <ul<?php echo ($backgroundImage ? ' class="invisible"' : ''); ?>>
<?php
            // Loop through post(s) for current day in current month/year to display it/them
            foreach ($postsPerDay[$month][$day] as $key => $index)
            {
?>
                    <li><a href="<?php echo get_permalink($posts[$index]->ID); ?>"><?php echo $posts[$index]->post_title; ?></a></li>
<?php
            }
?>
                </ul>
<?php
        }
?>
            </td>
<?php
    }
?>
<?php
    // Weekday for last day of current month/year
    $weekdayForLastDayOfMonth = date('w', mktime(0, 0, 0, $month, $totalDaysInMonth, $year));

    // Loop through weekdays to output empty TDs if last day of current month/year doesn't end on Saturday
    for ($i = 1; $i < (7 - $weekdayForLastDayOfMonth); $i++)
    {
?>
            <td>&nbsp;</td>
<?php
    }
?>
        </tr>
    </tbody>
</table><br />
<?php
}
?>